import {select, arc} from 'd3';


const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`)

const circle = g.append('circle')
  .attr('r', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeOffset = -70;
const eyeRadius = 35;
const eyebrowWidth = 50;
const eyebrowHeight = 20;

const eyesG = g.append('g')
	.attr('transform',`translate(0,${eyeOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx',  -eyeSpacing)
  ;

const rightEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx',  +eyeSpacing)
  ;


const leftEyebrow = eyesG.append('rect')
	.attr('x',-eyeSpacing)
	.attr('width', 'eyebrowWidth')
	.attr('height', 'eyebrowHeight');

const mouth = g.append('path')
    .attr('d', arc()({
    innerRadius: 150,
    outerRadius: 170,
    startAngle: Math.PI /2,
    endAngle: Math.PI *3/2
  }));